int led = 3;  // LED 3 kimentre kötve
String szoveg; //szöveges változó
void setup() { 
  pinMode(led, OUTPUT); //kimenet inicializálás
  Serial.begin(9600);  //soros komunikáció beállítás  
}

void loop() {
  if (Serial.available()>0){ //soros puffer olvasása ha nem üres
  szoveg = Serial.readStringUntil('\r'); //szöveg beolvasása sor emelés karakterig
    }
  if (szoveg=="bekapcsol") { //ha a beolvasott szöveg bekapcsol
    Serial.print(szoveg); //karakter kiíratása terminálra
    digitalWrite(led, HIGH); //led bekapcsolása
     
  }
   if (szoveg=="kikapcsol") { //ha a beolvasott szöveg kikapcsol
    Serial.println(szoveg); //karakter kiíratása terminálra
    digitalWrite(led, LOW); //led kikapcsolása
    
  }  
  szoveg="";// változó ürítése
  delay(100);
}
